Bug 251991 - x11-themes/nordic-theme: Improve Makefile
Summary: x11-themes/nordic-theme: Improve Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2020-12-20 15:31 UTC by Alexander Vereeken
Modified: 2021-01-08 16:59 UTC (History)
1 user (show)

See Also:


Attachments
nordic-theme-update.diff (2.53 KB, patch)
2020-12-20 15:31 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff
nordic-theme-update(v2).diff (2.65 KB, patch)
2021-01-05 18:59 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff
nordic-theme-update(v3).diff (3.08 KB, patch)
2021-01-07 20:36 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2020-12-20 15:31:01 UTC
Created attachment 220753 [details]
nordic-theme-update.diff

When the ant-dracula-theme was added, the Makefile was improved by makc (r558332). 

I like to use the improvements here as well :)
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-05 13:24:41 UTC
Q/A: Makefile: [46]: whitespace before end of line.
Q/A: Some variables are out of place:

# Options definitions
OPTIONS_DEFINE
OPTIONS_DEFAULT
OPTIONS_SUB

# Options descriptions
CINNAMON_DESC

-CINNAMON_BROKEN
-CINNAMON_IMPLIES
-CINNAMON_VARS

GNOMESHELL_DESC

-GNOMESHELL_VARS

KDE_DESC
METACITY_DESC

-METACITY_VARS

XFCE_DESC

# Options helpers
+CINNAMON_IMPLIES
+CINNAMON_BROKEN
+CINNAMON_VARS
+GNOMESHELL_VARS
+METACITY_VARS
XFCE_VARS

See https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-order-options

Otherwise, good job improving the Makefile!
Comment 2 Alexander Vereeken 2021-01-05 18:59:37 UTC
Created attachment 221300 [details]
nordic-theme-update(v2).diff

Hello Fernando,

thanks for looking over. Everything should be in order now :)
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-05 19:05:41 UTC
(In reply to Alexander Vereeken from comment #2)
Excellent, thanks!
Comment 4 Alexander Vereeken 2021-01-07 20:36:56 UTC
Created attachment 221367 [details]
nordic-theme-update(v3).diff

While here, also include a list of supported desktop environments to pkg-descr.
Comment 5 commit-hook freebsd_committer 2021-01-08 16:57:33 UTC
A commit references this bug:

Author: fernape
Date: Fri Jan  8 16:56:54 UTC 2021
New revision: 560795
URL: https://svnweb.freebsd.org/changeset/ports/560795

Log:
  x11-themes/nordic-theme: Improve Makefile

  Related to changes in r558332.

  Also, add information about supported DEs in pkg-descr.

  PR:	251991
  Submitted by:	Alexander88207@protonmail.com (maintainer)

Changes:
  head/x11-themes/nordic-theme/Makefile
  head/x11-themes/nordic-theme/pkg-descr
Comment 6 Fernando Apesteguía freebsd_committer 2021-01-08 16:59:50 UTC
Committed,

Thanks!